import pickle
import selenium
import selenium.webdriver
import time
import logging

settings = {}

def init(settings_obj):
    global settings
    settings = settings_obj

def create_webdriver():
    opt = selenium.webdriver.chrome.options.Options()
    opt.add_argument('--user-agent=' + settings.WEBDRIVER_USER_AGENT)
    opt.add_argument('--kiosk-printing')
    opt.add_argument("--focus-existing-tab-on-open=false")
    driver = selenium.webdriver.Chrome(chrome_options = opt)
    return driver

