import logging

class Settings:
    # Application Parameters
    LOG_LEVEL = logging.INFO
    DO_BREAKPOINTS = False

    # Web Driver Parameters
    WEBDRIVER_USER_AGENT = 'Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; Trident/5.0)'
    WEBDRIVER_SERIALIZE_DUMP_LOC = '/tmp/saved_webdrivers.pickle'
    WEBDRIVER_STORED_NAME = 'sok-scrape'
    WEBDRIVER_EXECUTOR_PORT = 4444
    WEBDRIVER_REMOTE_EXECUTOR = 'http://127.0.0.1:%s/wd/hub'

    # Web Page Parameters
    PAGE_BASE_URL = 'https://www.wikipedia.org/'
    PAGE_LANGUAGE = 'English'
    PAGE_DELAY = 0

    # Data Layer Parameters
    SQLITE_DBFILE = '/home/mathew/.wikicrawler.db'

